net.sf.jasperreports.engine.export.oasis

## Class JROdsExporter.OdsDocumentBuilder

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.DocumentBuilder
  - - net.sf.jasperreports.engine.export.oasis.JROdsExporter.OdsDocumentBuilder

- Enclosing class:
    JROdsExporter

      protected class JROdsExporter.OdsDocumentBuilder
      extends DocumentBuilder

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.oasis.DocumentBuilder

      `IMAGE_NAME_PREFIX, IMAGE_NAME_PREFIX_LEGTH, JR_PAGE_ANCHOR_PREFIX, oasisZip, rendererToImagePathMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROdsExporter.OdsDocumentBuilder(OasisZip oasisZip)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JRHyperlinkProducer` | `getHyperlinkProducer(JRPrintHyperlink link)`
    `java.lang.String` | `getInvalidCharReplacement()`
    `protected JasperReportsContext` | `getJasperReportsContext()`
    `protected int` | `getPageIndex()`
    `protected int` | `getReportIndex()`
    `JRStyledText` | `getStyledText(JRPrintText text)`
    `java.util.Locale` | `getTextLocale(JRPrintText text)`
    `protected void` | `insertPageAnchor(TableBuilder tableBuilder)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.oasis.DocumentBuilder

      `getElementIndex, getHyperlinkURL, getHyperlinkURL, getImageName, getImagePath, getPrintElementIndex, processImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JROdsExporter.OdsDocumentBuilder

          public JROdsExporter.OdsDocumentBuilder(OasisZip oasisZip)

  - ### Method Detail

    - #### getStyledText

          public JRStyledText getStyledText(JRPrintText text)

      Specified by:
        `getStyledText` in class `DocumentBuilder`

    - #### getTextLocale

          public java.util.Locale getTextLocale(JRPrintText text)

      Specified by:
        `getTextLocale` in class `DocumentBuilder`

    - #### getInvalidCharReplacement

          public java.lang.String getInvalidCharReplacement()

      Specified by:
        `getInvalidCharReplacement` in class `DocumentBuilder`

    - #### insertPageAnchor

          protected void insertPageAnchor(TableBuilder tableBuilder)

      Specified by:
        `insertPageAnchor` in class `DocumentBuilder`

    - #### getHyperlinkProducer

          protected JRHyperlinkProducer getHyperlinkProducer(JRPrintHyperlink link)

      Specified by:
        `getHyperlinkProducer` in class `DocumentBuilder`

    - #### getJasperReportsContext

          protected JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in class `DocumentBuilder`

    - #### getReportIndex

          protected int getReportIndex()

      Specified by:
        `getReportIndex` in class `DocumentBuilder`

    - #### getPageIndex

          protected int getPageIndex()

      Specified by:
        `getPageIndex` in class `DocumentBuilder`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com